Bug 9158 - Werror_FLAGS not yet ported to waf
Werror_FLAGS not yet ported to waf
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
4.0.0rc1
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 14:05 UTC by Björn Jacke
Modified: 2012-11-14 23:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2012-09-13 14:05:35 UTC
in a number of configure tests we rely on strict compile runs, using -Werror on gcc. The equivalent of -Werror for other compilers is being tested and written into the Werror_FLAGS variable in the autoconf build. waf also needs to get those tests and use the Werror flag that fits to the compiler.
Comment 1 Björn Jacke 2012-10-05 09:54:18 UTC
Andrew, as far as i can see you implemented this already? Is there anything left to do on that?
Comment 2 Andrew Bartlett 2012-10-05 10:02:59 UTC
perhaps apply it to some of the krb5 tests?

Otherwise, it's all done.
Comment 3 Andrew Bartlett 2012-11-14 22:29:09 UTC
Unless you want to merge something into 4.0, I'm calling this fixed as this has now been applied in master.
Comment 4 Andrew Bartlett 2012-11-14 23:44:57 UTC
As far as I can tell, all the -Werror related patches are now in 4-0-test